Skip to main content
PUT
/
conversations
/
{id}
/
title
Change Conversation Title
curl --request PUT \
  --url https://api.attention.tech/v2/conversations/{id}/title \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Q4 Sales Review with Acme Corp"
}
'
{
  "type": "conversations",
  "id": "conv-uuid-123",
  "attributes": {
    "uuid": "conv-uuid-123",
    "title": "Q1 Deal Review - Acme Corp",
    "createdAt": "2024-03-18T10:00:00Z",
    "finishedAt": "2024-03-18T10:45:00Z",
    "liveStreamStartedAt": "2024-03-18T10:00:00Z",
    "liveStreamEndedAt": "2024-03-18T10:45:00Z",
    "userUUID": "user-uuid-456",
    "teamUUID": "team-uuid-789",
    "archived": false,
    "referenceable": true,
    "private": false,
    "isInternal": false,
    "isEmpty": false,
    "mediaDuration": 2700,
    "videoUID": "vid-uid-abc",
    "videoStatus": "ready",
    "mediaStorageStatus": "ready",
    "transcriptStatus": "completed",
    "crmExportStatus": "exported",
    "importStatus": "completed",
    "dealUUID": "deal-uuid-xyz",
    "emailTemplateID": "",
    "externalIntelligenceOpportunityID": "opp-ext-123",
    "zoomMeetingJoinUrl": "",
    "googleMeetJoinUrl": "",
    "microsoftTeamsJoinUrl": "",
    "webexJoinUrl": "",
    "transcript": {},
    "participants": [
      {
        "id": "part-uuid-1",
        "email": "jane@example.com",
        "name": "Jane Smith",
        "organizer": true,
        "status": "accepted"
      },
      {
        "id": "part-uuid-2",
        "email": "john@customer.com",
        "name": "John Doe",
        "organizer": false,
        "status": "accepted"
      }
    ],
    "attendees": [
      {
        "id": "part-uuid-1",
        "email": "jane@example.com",
        "name": "Jane Smith",
        "organizer": true,
        "status": "accepted"
      }
    ],
    "bots": [
      {
        "uuid": "bot-uuid-1",
        "meetingUrl": "https://zoom.us/j/1234567890",
        "status": {
          "code": "completed",
          "message": "Recording uploaded",
          "createdAt": "2024-03-18T10:50:00Z"
        }
      }
    ],
    "boards": [
      {
        "uuid": "cb-uuid-1",
        "board": {
          "uuid": "board-uuid-1",
          "name": "Sales Playbook",
          "teamUUID": "team-uuid-789",
          "columns": []
        },
        "battlecards": []
      }
    ],
    "talktracks": [
      {
        "uuid": "ct-uuid-1",
        "items": [
          {
            "uuid": "cti-uuid-1",
            "activatedItemId": "item-uuid-1",
            "done": true
          }
        ]
      }
    ],
    "scorecardResults": [
      {
        "uuid": "sr-uuid-1",
        "title": "Sales Discovery Scorecard",
        "items": [],
        "summary": {
          "averageScore": 85,
          "min": 0,
          "max": 100,
          "summaryText": "Good performance"
        }
      }
    ],
    "externalOpportunity": {
      "uuid": "opp-uuid-456",
      "title": "Enterprise Deal - Acme Corp"
    },
    "importMetadata": {},
    "linkedCrmRecords": [
      {
        "id": "001ABC123",
        "code": "Account"
      }
    ],
    "externalAccounts": [
      {
        "id": "001ACC456",
        "code": "Account"
      }
    ],
    "externalContacts": [
      {
        "id": "003CON789",
        "code": "Contact"
      }
    ],
    "extractedIntelligence": {},
    "confirmedExtractedIntelligence": {},
    "labels": {},
    "labelTagsToFilterIfNA": [],
    "deprecatedLabelCategories": []
  },
  "links": {
    "self": "/v2/conversations/conv-uuid-123"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

UUID of the conversation to update

Body

New title for the conversation

title
string
required

The new title for the conversation

Example:

"Q4 Sales Review with Acme Corp"

Response

Title updated successfully

type
enum<string>
Available options:
conversations
id
string
attributes
object
Example:
{
"self": "https://api.attention.tech/v2/conversations/123",
"related": "https://api.attention.tech/v2/conversations/123/participants"
}